DokuBrain

Projects

Organize documents into projects

List projects

GET
/projects

Authorization

AuthorizationRequiredBearer <token>

Use a JWT access token or API key. Include as: Authorization: Bearer <token>

In: header

Query Parameters

searchstring
sortstring
orderstring
Value in: "asc" | "desc"
limitinteger
Default: 20
offsetinteger
Default: 0
statusstring
include_archivedboolean
curl -X GET "https://api.dokubrain.com/api/v1/projects?search=%3Cstring%3E&sort=%3Cstring%3E&order=asc&limit=20&offset=0&status=%3Cstring%3E&include_archived=true" \
  -H "Authorization: Bearer <token>"

Project list

{
  "success": true,
  "data": {},
  "message": "string"
}

Create a project

POST
/projects

Authorization

AuthorizationRequiredBearer <token>

Use a JWT access token or API key. Include as: Authorization: Bearer <token>

In: header

Request Body

application/jsonRequired
nameRequiredstring
descriptionstring
colorstring
iconstring
auto_classifyboolean
auto_extractboolean
default_template_idstring
retention_daysinteger
allowed_file_typesarray<string>
curl -X POST "https://api.dokubrain.com/api/v1/projects" \
  -H "Authorization: Bearer <token>" \
  -H "Content-Type: application/json" \
  -d '{
    "name": "string",
    "description": "string",
    "color": "string",
    "icon": "string",
    "auto_classify": true,
    "auto_extract": true,
    "default_template_id": "string",
    "retention_days": 0,
    "allowed_file_types": [
      "string"
    ]
  }'

Project created

{
  "success": true,
  "data": {},
  "message": "string"
}

Get project details

GET
/projects/{id}

Authorization

AuthorizationRequiredBearer <token>

Use a JWT access token or API key. Include as: Authorization: Bearer <token>

In: header

Path Parameters

idRequiredstring
curl -X GET "https://api.dokubrain.com/api/v1/projects/<string>" \
  -H "Authorization: Bearer <token>"

Project details

{
  "success": true,
  "data": {},
  "message": "string"
}

Delete a project

DELETE
/projects/{id}

Authorization

AuthorizationRequiredBearer <token>

Use a JWT access token or API key. Include as: Authorization: Bearer <token>

In: header

Path Parameters

idRequiredstring

Query Parameters

delete_documentsboolean
move_to_project_idstring
curl -X DELETE "https://api.dokubrain.com/api/v1/projects/<string>?delete_documents=true&move_to_project_id=%3Cstring%3E" \
  -H "Authorization: Bearer <token>"

Project deleted

{
  "success": true,
  "data": {},
  "message": "string"
}

Update a project

PUT
/projects/{id}

Authorization

AuthorizationRequiredBearer <token>

Use a JWT access token or API key. Include as: Authorization: Bearer <token>

In: header

Request Body

application/jsonOptional
namestring
descriptionstring
colorstring
iconstring

Path Parameters

idRequiredstring
curl -X PUT "https://api.dokubrain.com/api/v1/projects/<string>" \
  -H "Authorization: Bearer <token>" \
  -H "Content-Type: application/json" \
  -d '{
    "name": "string",
    "description": "string",
    "color": "string",
    "icon": "string"
  }'

Project updated

{
  "success": true,
  "data": {},
  "message": "string"
}

Get project statistics

GET
/projects/{id}/stats

Authorization

AuthorizationRequiredBearer <token>

Use a JWT access token or API key. Include as: Authorization: Bearer <token>

In: header

Path Parameters

idRequiredstring
curl -X GET "https://api.dokubrain.com/api/v1/projects/<string>/stats" \
  -H "Authorization: Bearer <token>"

Project stats

{
  "success": true,
  "data": {},
  "message": "string"
}

List documents in a project

GET
/projects/{id}/documents

Authorization

AuthorizationRequiredBearer <token>

Use a JWT access token or API key. Include as: Authorization: Bearer <token>

In: header

Path Parameters

idRequiredstring

Query Parameters

pageinteger
limitinteger
statusstring
classificationstring
curl -X GET "https://api.dokubrain.com/api/v1/projects/<string>/documents?page=0&limit=0&status=%3Cstring%3E&classification=%3Cstring%3E" \
  -H "Authorization: Bearer <token>"

Documents in project

{
  "success": true,
  "data": {},
  "message": "string"
}